<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

  <record id="view_order_of_tree_return_order" model="ir.ui.view">
            <field name="name">return.order.tree</field>
            <field name="model">returned.order</field>
            <!-- <field eval="1" name="priority"/> -->
            <field name="arch" type="xml">
                <tree string="Return Order">
                    <field name="name"/>
                    <field name="create_date"/>
                    <field name="write_date"/>
                </tree>
                
            </field>
        </record>
        <record id="view_return_order_of_form_view" model="ir.ui.view">
            <field name="name">return.order.form.view</field>
            <field name="model">returned.order</field>
            <!-- <field eval="1" name="priority"/> -->
            <field name="arch" type="xml">
                <form>
                    <field name="name"/>
                    <field name="returned_order_connect">
                            <tree string="Extra Addresses" editable="bottom">
                                <field name="product_id"/>
                                <field name="qty"/>
                            </tree>
                    </field>    
                </form>
                
            </field>
        </record>

         <record id="action_move_of_rto_cr" model="ir.actions.act_window">
            <field name="name">Return Order</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">returned.order</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="view_id" ref="view_order_of_tree_return_order"/>
        </record>

 <record id="action_move_rto11" model="ir.actions.act_window">
            <field name="name">RTO/CR Reprocessing</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="domain">        [('location_id','=',40),('location_dest_id','=',7)]</field>
            <field name="view_id" ref="inbound.history_move_tree2"/>
            <field name="search_view_id" ref="inbound.history_move_search"/>
            <field name="context">{'search_default_future':1}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations for RTO/CR. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>

        <menuitem action="action_move_rto11" id="submenu_history_of_movement_for_rto_cr" parent="menu_procurement_management_inventory11" sequence="21"
            groups="group_inbound_user" />

1
        <record id="pop_up_view_order_of_CRTO1" model="ir.ui.view">
        <field name="name">button.to.generate.CRTO</field>
        <field name="model">stock.move.return</field>
        <field name="arch" type="xml">
            <form>
                    <footer>
                        <button name="generate_return_order" string="Generate RO" type="object" class="oe_highlight" />
                         or
                        <button string="Cancel" class="oe_link" special="cancel" />
                    </footer>
                </form>
            </field>
        </record>

        <record id="pop_up_return_order_of_tranfer_from_departments" model="ir.ui.view">
        <field name="name">button.to.transfer.from.RO</field>
        <field name="model">returned.order.group</field>
        <field name="arch" type="xml">
            <form>
                <group>
                        <field name="dest" on_change="on_change(dest,context)"/>
                        <field name="temp" string="Product to move">
                            <tree string="Extra Addresses" editable="bottom">
                            <field name="product"/>
                            <field name="qty"/>
                            <field name="qty_accept"/>
                        </tree>
                        </field>
                    </group>
                    <footer>
                        <button name="move_orders" string="Move Products based on RO" type="object" class="oe_highlight" />
                        <button name="ro_hard_tagging_file" string="Generate HardTagging file" type="object" class="oe_highlight" />
                         or
                        <button string="Cancel" class="oe_link" special="cancel" />
                    </footer>
                </form>
            </field>
        </record>

        <act_window id="action_receive_rto_cr1"
            key2="client_action_multi"
            name="Generate Return Order"
            res_model="stock.move.return"
            src_model="stock.move"
            groups="inbound.group_inbound_user"
            view_id="pop_up_view_order_of_CRTO1"
            view_mode="form" target="new" view_type="form" />

        <act_window id="action_ro_transfer_from_inbound"
            context="{'location_id':7}"
            key2="client_action_multi"
            name="return order transfer from inbound"
            res_model="returned.order.group"
            src_model="returned.order"
            groups="inbound.group_inbound_user"
            view_id="pop_up_return_order_of_tranfer_from_departments"
            view_mode="form" target="new" view_type="form" />

        <act_window id="action_ro_transfer_from_qc"
            context="{'location_id':4}"
            key2="client_action_multi"
            name="return order transfer from qc"
            res_model="returned.order.group"
            src_model="returned.order"
            groups="quality_control.group_qualitycontrol_user"
            view_id="pop_up_return_order_of_tranfer_from_departments"
            view_mode="form" target="new" view_type="form" />

        <act_window id="action_ro_transfer_from_hard_tagging"
            context="{'location_id':23}"
            key2="client_action_multi"
            name="return order transfer from hardTagging"
            res_model="returned.order.group"
            src_model="returned.order"
            groups="hard_tagging.group_hard_tagging_user"
            view_id="pop_up_return_order_of_tranfer_from_departments"
            view_mode="form" target="new" view_type="form" /> 



    </data>
</openerp>
